Subject: Re: [patch net-next 5/5] mlxsw: spectrum: qdiscs: Support stats for PRIO qdisc

From: Jakub Kicinski <[email-masked]>
Date: Fri, 12 Jan 2018 00:32:30 -0800

On Fri, 12 Jan 2018 00:39:26 +0000 Yuval Mintz wrote:
> > Hm.  You you need this just because you didn't add the backlog
> > pointer to destroy?  AFAIK on destroy we are free to reset stats as
> > well, thus simplifying your driver...  Let me know if I
> > misunderstand.  
> 
> This is meant exactly for the scenario where qdisc didn't get
> destroyed yet is no longer offloaded; E.g., if number of bands
> increased beyond What we can offload. So we can't reset the
> statistics in this case. [Although I might be the one to
> misunderstand you, as the 'not destroyed' was explicitly mentioned
> twice above]

I was trying to take some liberty with handling of destroy but your
approach may actually end up being simpler.  I will withdraw my series
for now and reuse your new callback once this series lands.

Do you have any objections to changing RED to behave more like prio
(and other qdiscs) in principle?